Bug 6446 - batch item deletion interface problems
Summary: batch item deletion interface problems
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-06-01 21:42 UTC by Christopher Chagal
Modified: 2012-10-25 23:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (3.38 KB, patch)
2011-06-03 12:18 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Chagal 2011-06-01 21:42:19 UTC
I'm testing the latest pull from origin/3.4.x. The batch item deletion interface has some issues. One is just a display issue: the field data is shifted in the display so that "Title" is in the place where the check box should be and "Withdrawn status" is where "Title" should be, etc. In addition, all of the "Show/hide columns:" checkboxes control the "Title" field.
The more pressing issue is that the checkboxes that allow you to select items to be deleted do not show up.

I've tried it in Firefox 3.6 & Firefox 4.0 & IE 8 & Chrome, on Linux (Ubuntu 10.4) & Windows (XP). Same problem in all environments.
Comment 1 Owen Leonard 2011-06-03 12:18:26 UTC
Created attachment 4353 [details] [review]
Proposed fix

Scoping error in T:T variable caused incorrect column display
in batch delete and batch edit interfaces.

After applying this patch header cells should align correctly
with content and checkbox column should appear.
Comment 2 Christopher Chagal 2011-06-03 14:51:23 UTC
That did it.  Thanks, Owen.
Comment 3 Owen Leonard 2011-06-03 14:52:41 UTC
Bugs should not be marked as fixed until the patch passes QA and is pushed.
Comment 4 Christopher Chagal 2011-06-03 14:55:17 UTC
Oops. Sorry about that.
Comment 5 Chris Cormack 2011-06-05 06:51:03 UTC
Simple TT fix, pushed
Comment 6 Magnus Enger 2011-07-16 08:38:59 UTC
Typed a few barcodes into the "Barcode list (one barcode per line)" field and clicked on "Continue". The table looks ok now.